# Christmas Warning: Threat Actors Impersonate your Favorite Brands to Attack, Finds CSC
## Majority of third-party domain names impersonating the biggest global brands use domain privacy services
## Information:

+ Link: https://www.infosecurity-magazine.com/news/threat-actors-impersonate-your/
+ Source: Infosecurity News
+ Author: Kevin  Poireault
+ Date published: 06 December 2022, 16:45
+ Date scraped: 06 December 2022, 18:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/bed64d41-580e-4c8c-9b60-1d14fe63e306.jpg)

In the run-up to Christmas, one of the busiest times for online shopping and e-commerce, we are likely to see a spike in fraudulent domain name registrations.


Domain provider CSC analyzed threatening domains targeting 10 of the biggest brands in the world in [a report](https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.cscdbs.com%2Fen%2Fresources-news%2Fthreatening-domains-targeting-top-brands%2F&data=05%7C01%7Ckevin.poireault%40rxglobal.com%7Cef8ff23467cb4bce531a08dad6dfb768%7C9274ee3f94254109a27f9fb15c10675d%7C0%7C0%7C638058554511910611%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000%7C%7C%7C&sdata=02Maqm7iALbaHidyXydI7Ilzu6agxr6sumCrFr3B2sc%3D&reserved=0) published on December 6, 2022. These include Amazon, Walmart, McDonald’s, Tencent, Google, Microsoft, Apple and Facebook.


Of 8480 identified unique third-party domain names in their dataset, [CSC](https://www.cscglobal.com/cscglobal/home/) found that 56% were linked to a live webpage, some of which offered “a range of high-concern content types, including fraud issues like potential phishing sites, and other brand infringements,” according to the report.


Also, 66% of the identified third-party domain names used domain privacy services, “indicating an intention by the owner to mask their identity,” and 35% were configured with active mail exchange (MX) records, “indicating their ability to send and receive emails, making them capable of launching phishing attacks,” the report reads.


While all of these three methods could hint at nefarious motivations, Ihab Shraim, CSC’s CTO, told *Infosecurity* that various domain name alteration techniques were “often smart and sometimes tricky to detect.”


Aside from the regular typosquatting, the act of changing, withdrawing or adding a character from the original domain name, 3% of the fraudulent third-party domain names used legitimate domains in a fraudulent way to trick users.


“For instance, as the US government uses websites with the whitehouse.gov domain name only, some threat actors registered whitehouse[dot]com or whitehouse[dot]org, which seem harmless but in reality, are fraudulent,” Shraim said.


The report shows a spike in new domain name registrations in April 2022.



“At the beginning of 2022, the restrictions on social distancing started declining in the US, meaning that people would travel more and buy more. And in the US, April is the month tax returns are given back, which means those people have money to buy things. This, combined with the ‘back-to-normal’ period, meant people were going to buy even more – something threat actors anticipated and created more fraudulent domain names to lure some of these buyers,” Shraim explained.


CSC will release a similar work with a regional focus in the next few months.





## Tags:


### Autogenerated tags:
third-party shraim
