# Muddling Meerkat, a mysterious DNS Operation involving China's Great Firewall
## The China-linked threat actors Muddling Meerkat are manipulating DNS to probe networks globally since 2019..
## Information:

+ Link: https://securityaffairs.com/162564/apt/muddling-meerkat-dns-operation-2024.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 01 May 2024, 08:08
+ Date scraped: 01 May 2024, 09:10

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/04/image-25.png)



Infoblox researchers observed China-linked threat actors Muddling Meerkat using sophisticated DNS activities since 2019 to bypass traditional security measures and probe networks worldwide.


The experts noticed a spike in activity observed in September 2023.



The threat actors appear to have the capability to control China’s Great Firewall and were observed utilizing a novel technique involving fake DNS MX records.


Attackers used “super-aged” domains, usually registered before the year 2000, to avoid DNS blocklists and blending in with old malware at the same time


The attackers manipulate MX (Mail Exchange) records by injecting fake responses through China’s Great Firewall. However, the Infoblox researchers have yet to discover the motivation behind the attacks.


“The GFW can be described as an “operator on the side,” meaning that it does not alter DNS responses directly but injects its own answers, entering into a race condition with any response from the original intended destination. When the GFW response is received by the requester first, it can poison their DNS cache.” reads the [**analysis**](https://blogs.infoblox.com/threat-intelligence/a-cunning-operator-muddling-meerkat-and-chinas-great-firewall/?_gl=1*9952z6*_ga*MTc3ODAzNjgzOS4xNzE0NTE2Njcx*_ga_D4JXVXQTYG*MTcxNDUxNjY3MS4xLjEuMTcxNDUxNzIwOS42MC4wLjA.) published by Infoblox. “The GFW creates a lot of noise and misleading data that can hinder investigations into anomalous behavior in DNS. I have personally gone hunting down numerous trails only to conclude: oh, it’s just the GFW.”


[![Muddling Meerkat](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/04/image-25.png?resize=1024%2C755&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/04/image-25.png?ssl=1)



The experts noticed that a cluster of activities linked to a threat actor tracked as “ExploderBot” included most demonstrably damaging DNS DDoS attacks, ceased in May 2018. However, low-volume attacks resembling Slow Drip DDoS attacks have persisted since then. These attacks involve queries for random subdomains of target domains, propagated through open resolvers. Despite their lower volumes, these attacks share similar behavioral patterns to DNS DDoS attacks.


Muddling Meerkat’s operations also used MX record queries for random subdomains of target domains, rather than the base domain itself. This scenario is unusual as it typically occurs when a user intends to send email to a subdomain, which is not common in normal DNS activity. The researchers noticed that many of the target domains lack functional mail servers, making these queries even more mysterious. 


*“The data we have suggests that the operations are performed in independent “stages;” some include MX queries for target domains, and others include a broader set of queries for random subdomains. The DNS event data containing MX records from the GFW often occurs on separate dates from those where we see MX queries at open resolvers.” concludes the report. “Because the domain names are the same across the stages and the queries are consistent across domain names, both over a multi-year period, these stages surely must be related, but we did not draw a conclusion about how they are related or why the actor would use such staged approaches.”*


The report also includes indicators of compromise (IoCs) recommendations to neutralize these activities..


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, DNS)**





---




---





## Tags:


### Autogenerated tags:
dns mx gfw infoblox ddos
