# Beware of MalDoc in PDF: A New Polyglot Attack Allowing Attackers to Evade Antivirus
## Hackers are now using a sneaky "MalDoc in PDF" technique to hide malicious Word files within PDFs.
## Information:

+ Link: https://thehackernews.com/2023/09/beware-of-maldoc-in-pdf-new-polyglot.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 04 September 2023, 11:10
+ Date scraped: 04 September 2023, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiM2D3w64KlQixoasm0ho9kJ_jW3tQH87T4Y6l5kybBx2rLFb2mFeLbtLl6fw-dGoBvMb9WBQoPDQS6ZCKn8GMlJuHjkhk7nQZ7JDiaUSvt9d1nPytTr9tcnisTrVCdJotl__zzbdzVuF_2gs8Ze0anHJ0d84hNdcOH4mV79ix0tIMAB0J_HhbsNxP869CW/s728-e3650/kpi.jpg)


Cybersecurity researchers have called attention to a new antivirus evasion technique that involves embedding a malicious Microsoft Word file into a PDF file.


The sneaky method, dubbed **MalDoc in PDF** by JPCERT/CC, is said to have been employed in an in-the-wild attack in July 2023.


"A file created with MalDoc in PDF can be opened in Word even though it has magic numbers and file structure of PDF," researchers Yuma Masubuchi and Kota Kino [said](https://blogs.jpcert.or.jp/en/2023/08/maldocinpdf.html). "If the file has a configured macro, by opening it in Word, VBS runs and performs malicious behaviors."


Such specially crafted files are called [polyglots](https://thehackernews.com/2023/01/cybercriminals-using-polyglot-files-in.html) as they are a legitimate form of multiple different file types, in this case, both PDF and Word (DOC).


This entails adding an MHT file created in Word and with a macro attached after the PDF file object. The end result is a valid PDF file that can also be opened in the Word application.


Put differently; the PDF document embeds within itself a Word document with a VBS macro that's designed to download and install an MSI malware file if opened as a .DOC file in Microsoft Office. It's not immediately clear what malware was distributed in this fashion.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhi4CwKKVvbrabSKgZxQMtcCPSAThCFPNdROHSodr7KQwhdCVXrAi_do7ciuRA2-3QiOXhZmPJs-4if9uDqHVZ41ExgY4nnjL9T0gPjhO7VYtzE2vXXHRh9v8bTaCTixHBKbgd3P7goFMq7rhywio_HjaVvoz6X5d0H6GqIxSp3-oup5PTnmGnWhtFXjJXv/s728-e365/aws-d.png)](https://thn.news/o6a5Vxgy)
"When a document is downloaded from the internet or email, it'll carry a [MotW](https://thehackernews.com/2022/10/unofficial-patch-released-for-new.html)," security researcher Will Dormann [said](https://twitter.com/wdormann/status/1696197904262742370). "As such, the user will have to click 'Enable Editing' to exit Protected View. At which point they'll be learn [sic] that [macros are disabled](https://thehackernews.com/2022/07/hackers-opting-new-attack-methods-after.html)."


While real-world attacks leveraging MalDoc in PDF were observed a little over a month ago, there's evidence to suggest that it was being experimented ("[DummymhtmldocmacroDoc.doc](https://www.virustotal.com/gui/file/93daf2aea61f29a41ba2c76e2b016dbd4256bc5659bf6e79a2e3d59c1b493681)") as early as May, Dormann highlighted.


The development comes amid a spike in phishing campaigns using QR codes to propagate malicious URLs, a technique called qishing.


"The samples we have observed using this technique are primarily disguised as multi-factor authentication (MFA) notifications, which lure their victims into scanning the QR code with their mobile phones to gain access," Trustwave [said](https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/think-before-you-scan-the-rise-of-qr-codes-in-phishing/) last week.


[![MalDoc in PDF](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg8HBXzO13B_CDUc5JQyeAIfMYBZ-RWipXUaMPWMJdYoeIyCd1xgW3w-U1zsfqm98hOyMSwZ1R2Gp8BGCREWeTEdGD4BbFNnNtIYVp-fljV2BBRY7K8AtUYCopaiuIv0a8uOvEZGxMelUvbp8_Cic5akrJTUR55rkxK7NtGX-zxyQNP9qM2PkOT3gQpTzAd/s728-e3650/pdf.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEg8HBXzO13B_CDUc5JQyeAIfMYBZ-RWipXUaMPWMJdYoeIyCd1xgW3w-U1zsfqm98hOyMSwZ1R2Gp8BGCREWeTEdGD4BbFNnNtIYVp-fljV2BBRY7K8AtUYCopaiuIv0a8uOvEZGxMelUvbp8_Cic5akrJTUR55rkxK7NtGX-zxyQNP9qM2PkOT3gQpTzAd/s728-e365/pdf.jpg)
"However, instead of going to the target's desired location, the QR code leads them to the threat actor's phishing page."


One such campaign targeting the Microsoft credentials of users has witnessed an increase of more than 2,400% since May 2023, Cofense [noted](https://cofense.com/blog/major-energy-company-targeted-in-large-qr-code-campaign/) in August, pointing out how "scanning a QR code on a mobile device puts the user outside the protections of the enterprise environment."


Social engineering attacks, as evidenced in attacks associated with [LAPSUS$](https://thehackernews.com/2023/08/two-lapsus-hackers-convicted-in-london.html) and [Muddled Libra](https://thehackernews.com/2023/09/okta-warns-of-social-engineering.html), are getting more elaborate and sophisticated as threat actors leverage vishing and phishing tactics to gain unauthorized access to target systems.


In one instance highlighted by Sophos, a threat combined phone and email lures to launch a complex attack chain against an employee of a Switzerland-based organization.


UPCOMING WEBINAR[Detect, Respond, Protect: ITDR and SSPM for Complete SaaS Security](https://thehacker.news/identity-attack-surface?source=inside)Discover how Identity Threat Detection & Response (ITDR) identifies and mitigates threats with the help of SSPM. Learn how to secure your corporate SaaS applications and protect your data, even after a breach.

[Reserve Your Spot](https://thehacker.news/identity-attack-surface?source=inside)
"The caller, whose voice sounded like a middle-aged man, told the employee that he was a delivery driver with an urgent package destined for one of the company locations, but that nobody was there to receive the package, and he asked for a new delivery address at the employee's office location," Sophos researcher Andrew Brandt [said](https://news.sophos.com/en-us/2023/08/10/image-spam-attack/).


"In order to redeliver the package, he continued, the employee would have to read aloud a code the shipping company would email."


The email from the purported shipping company convinced the victim to open what seemed like a PDF attachment containing the code, but in reality, it turned out to be a static image embedded in the message body designed to be "just like an Outlook message with an email attachment."


The fake-image spam attack ultimately took the recipient to a bogus website via a redirect chain that, in turn, dropped a deceptive executable masquerading as a package service ("Universe Parcel Service."), which, when launched, acted as a conduit to deliver additional PowerShell scripts to steal data and beacon to a remote TOR hidden service.


The developments also arrive as security concerns have been raised around [name collisions](https://www.icann.org/resources/pages/name-collision-2013-12-06-en) in the Domain Name System (DNS) that could be [exploited](https://thehackernews.com/2023/05/dont-click-that-zip-file-phishers.html) to leak sensitive data.


"Name collisions aren't the only situations that can cause a [top-level domain] to act strangely," Cisco Talos [said](https://blog.talosintelligence.com/whats-in-a-name/) in a recent write-up. "Some do not respond properly when presented with names that have expired or never existed."


"In these TLDs, unregistered and expired domain names still resolve to IP addresses. Some of these TLDs even publish MX records and collect emails for the names in question."


  





## Tags:


### Autogenerated tags:
pdf microsoft maldoc phishing
