# China-Linked 'Muddling Meerkat' Hijacks DNS to Map Internet on Global Scale
## The "Muddling Meerkat" threat actor is abusing DNS open resolvers to evade detection and conduct reconnaissance across the globe.
## Information:

+ Link: https://thehackernews.com/2024/04/china-linked-muddling-meerkat-hijacks.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 29 April 2024, 19:16
+ Date scraped: 29 April 2024, 14:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhTrH1TINp4NlTmzZ7Q8Bcd4q7GW1vuXmmfOHE4E-SUe8-DJ7SLqfGeJnp_gbR-h_R30kXqEpbFsJDb7oz5d4ZWvLVkp02lzgkmPhrLCmS5cRfgG-uDN5Ij-UzCvLtULyylej5E-kYuLEXwiAcI5UiYLngrl4yZjs1hPEYuwyF3_AOp3rnOaYLlZCaH03rC/s728-rw-e365/scan.png)


A previously undocumented cyber threat dubbed **Muddling Meerkat** has been observed undertaking sophisticated domain name system (DNS) activities in a likely effort to evade security measures and conduct reconnaissance of networks across the world since October 2019.


Cloud security firm Infoblox described the threat actor as likely affiliated with the People's Republic of China (PRC) with the ability to control the Great Firewall ([GFW](https://en.wikipedia.org/wiki/Great_Firewall)), which censors access to foreign websites and manipulates internet traffic to and from the country.


The moniker is reference to the "bewildering" nature of their operations and the actor's abuse of DNS open resolvers – which are DNS servers that accept recursive queries from all IP addresses – to send the queries from the Chinese IP space.


"Muddling Meerkat demonstrates a sophisticated understanding of DNS that is uncommon among threat actors today – clearly pointing out that DNS is a powerful weapon leveraged by adversaries," the company [said](https://blogs.infoblox.com/threat-intelligence/a-cunning-operator-muddling-meerkat-and-chinas-great-firewall/) in a report shared with The Hacker News.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
More specifically, it entails triggering DNS queries for mail exchange ([MX](https://www.cloudflare.com/learning/dns/dns-records/dns-mx-record/)) and other record types to domains not owned by the actor but which reside under well-known top-level domains such as .com and .org.


Infoblox said it detected over 20 such domains -


*4u[.]com, kb[.]com, oao[.]com, od[.]com, boxi[.]com, zc[.]com, s8[.]com, f4[.]com, b6[.]com, p3z[.]com, ob[.]com, eg[.]com, kok[.]com, gogo[.]com, aoa[.]com, gogo[.]com, zbo6[.]com, id[.]com, mv[.]com, nef[.]com, ntl[.]com, tv[.]com, 7ee[.]com, gb[.]com, tunk[.]org, q29[.]org, ni[.]com, tt[.]com, pr[.]com, dec[.]com*


Many of these websites are super-aged domains registered prior to 2000, thus allowing the adversary to blend in with other DNS traffic and fly under the radar by evading DNS blocklists.


[![Hijacks DNS](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj5uqbhNOYisJoGNTvZGqXYcVmPfs-IfzNR-mPTYi8EbLod4IDiIYCSFxorNKuYEqd9Ksr2OQ6Sa8SEH_4puMiWsJv7ozaKMBCytd0wffNtPkmrT5MzKJy1_qckURdoLuDkNohDXvtaFTP48zU7XPsSV8fqzjCFQ8gmEMgfjPo9Wlc7HhHO-ft1UaEVkrHz/s728-rw-e365/firewall.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj5uqbhNOYisJoGNTvZGqXYcVmPfs-IfzNR-mPTYi8EbLod4IDiIYCSFxorNKuYEqd9Ksr2OQ6Sa8SEH_4puMiWsJv7ozaKMBCytd0wffNtPkmrT5MzKJy1_qckURdoLuDkNohDXvtaFTP48zU7XPsSV8fqzjCFQ8gmEMgfjPo9Wlc7HhHO-ft1UaEVkrHz/s728-rw-e365/firewall.jpg)
Also observed are efforts to use servers in the Chinese IP address space to make DNS queries for random subdomains to IP addresses around the world as part of


It's known that the GFW [relies](https://citizenlab.ca/2021/11/gfwatch-a-longitudinal-measurement-platform-built-to-monitor-chinas-dns-censorship-at-scale/) on what's called DNS spoofing and tampering to inject fake DNS responses containing [random real IP addresses](https://www.bortzmeyer.org/sichuan-pepper.html) when a request matches a banned keyword or a blocked domain.


In other words, when a user [attempts](https://arxiv.org/abs/2106.02167) to [search](https://www.catchpoint.com/blog/great-firewall-of-china) for a [blocked keyword](https://www.crowdstrike.com/blog/cyber-kung-fu-great-firewall-art-dns-poisoning/) or phrase, the GFW blocks or redirects the website query in a manner that will prevent the user from accessing the requested information. This can be achieved via [DNS cache poisoning](https://security.googleblog.com/2024/03/google-public-dnss-approach-to-fight.html) or IP address blocking.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
This also means that if the GFW detects a query to a blocked website, the sophisticated tool injects a bogus DNS reply with an invalid IP address, or an IP address to a different domain, effectively corrupting the cache of recursive DNS servers located within its borders.


"The most remarkable feature of Muddling Meerkat is the presence of false MX record responses from Chinese IP addresses," Dr. Renée Burton, vice president of threat intelligence for Infoblox, said. "This behavior [...] differs from the standard behavior of the GFW."


"These resolutions are sourced from Chinese IP addresses that do not host DNS services and contain false answers, consistent with the GFW. However, unlike the known behavior of the GFW, Muddling Meerkat MX responses include not IPv4 addresses but properly formatted MX resource records instead."


The exact motivation behind the multi-year activity is unclear, although it raised the possibility that it may be undertaken as part of an internet mapping effort or research of some kind.


  





## Tags:


### Autogenerated tags:
dns ip gfw mx infoblox
