# Muddling Meerkat hackers manipulate DNS using China’s Great Firewall
## A new cluster of activity tracked as "Muddling Meerkat" is believed to be linked to a Chinese state-sponsored threat actor's manipulation of DNS to probe networks globally since October 2019, with a spike in activity observed in September 2023.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/muddling-meerkat-hackers-manipulate-dns-using-chinas-great-firewall/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 29 April 2024, 16:24
+ Date scraped: 29 April 2024, 21:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/04/29/meerkat.jpg)



A new cluster of activity tracked as "Muddling Meerkat" is believed to be linked to a Chinese state-sponsored threat actor's manipulation of DNS to probe networks globally since October 2019, with a spike in activity observed in September 2023.


A notable aspect of Muddling Meerkat's activity is the manipulation of MX (Mail Exchange) records by injecting fake responses through China's Great Firewall (GFW), an unusual and previously unseen behavior for the country's internet censorship system.


Discovered by [Infoblox](https://www.prnewswire.com/news-releases/infoblox-threat-intel-discovers-muddling-meerkat-a-dns-operation-controlling-chinas-great-firewall-302129471.html), the activity does not have a clear goal or motivation but demonstrates sophistication and advanced capabilities to manipulate global DNS systems.



![Observed volume of activity](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/18/activity-volume.png)**Observed volume of activity**  
*Source: Infoblox*


Muddling Meerkat operations
---------------------------


By looking into massive volumes of DNS data, Infoblox researchers discovered an activity they say could easily fly under the radar or be mistaken for innocuous.


DNS is an essential functional component of the internet, translating human-readable domain names into IP addresses that computers use to identify each other on the network and establish connections.


Muddling Meerkat manipulates DNS queries and responses by targeting the mechanism by which resolvers return the IP addresses.


For instance, they can provoke false MX record responses from the GFW to fiddle with the routing and potentially misdirect emails.



![Standard MX request routing](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/18/mx-resolution.png)**Standard MX request routing**  
*Source: Infoblox*


The Great Firewall's function is typically to filter and block content by intercepting DNS queries and providing invalid responses, redirecting users away from certain sites. Muddling Meerkat's activities cause it to issue fake responses that serve objectives such as testing the resilience and behavior of other networks.



"The GFW can be described as an “operator on the side," meaning that it does not alter DNS responses directly but injects its own answers, entering into a race condition with any response from the original intended destination. When the GFW response is received by the requester first, it can poison their DNS cache. In addition to the GFW, China operates a system referred to as the Great Cannon (GC). The GC is an“operator in the middle,” allowing it to modify packets en route to their destination."


❖ [InfoBlox](https://insights.infoblox.com/resources-report/infoblox-report-muddling-meerkat-the-great-firewall-manipulator)



To further obfuscate their activities, Muddling Meerkat makes DNS requests for random subdomains of their target domains, which often don't exist.


Though this resembles an attack named "Slow Drip DDoS," Infoblox notes that in Muddling Meerkat's case, the queries are small in scale and aimed at testing rather than disruption.


The threat actor also exploits open resolvers to obfuscate their activity and engages with both authoritative and recursive resolvers.



![Overview of Muddling Meerkat operations](https://www.bleepstatic.com/images/news/u/1220909/2024/Campaigns/18/overview.png)**Overview of Muddling Meerkat operations**  
*Source: Infoblox*


Infoblox reports that Muddling Meerkat chooses target domains with short names registered before 2000, making them less likely to be on DNS blocklists.


As for the purpose of the activity, Muddling Meerkat might be mapping networks and evaluating their DNS security to plan future attacks, or their goal could be to create DNS "noise," which can help hide more malicious activities and confuse admins who attempt to pinpoint the source of anomalous DNS requests.


The Infoblox report provides a complete list of Muddling Meerkat indicators of compromise (IoCs) and techniques, tactics, and procedures (TTPs), including lists of domains that can be blocked without significant impact due to hosting no website, hosting illegal content, or being parked.





## Tags:


### Autogenerated tags:
dns infoblox gfw mx
