# Analyzing Phishing attacks that use malicious PDFs
## Cybersecurity researchers Zoziel Pinto Freire analyzed the use of weaponized PDFs in phishing attacks Every day everybody receives many phishing attacks with malicious docs or PDFs. I decided to take a look at one of these files. I did a static analysis and I went straight to the point to make this reading simple and […]
## Information:

+ Link: https://securityaffairs.co/wordpress/127946/hacking/analyzing-phishing-attacks-pdfs.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 13 February 2022, 10:34
+ Date scraped: 13 February 2022, 11:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/cape.png?resize=300%2C300&ssl=1)


Every day everybody receives many phishing attacks with malicious docs or PDFs. I decided to take a look at one of these files. I did a static analysis and I went straight to the point to make this reading simple and fast.


Here is the received email as it was from the Caixa Economica Federal bank, but we can see the sender uses Gmail services and a strange name.


[![phishing PDFs](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/002.png?resize=684%2C562&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/002.png?ssl=1)
I verified this e-mail header using **MXtoolbox**, and we can see the IP used by the sender (attacker).


[![phishing PDFs](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/003.png?resize=423%2C195&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/003.png?ssl=1)
Below is the reputation of the IP used by the attacker.


[![phishing PDFs](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/004.png?resize=536%2C403&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/004.png?ssl=1)
We can see this IP has a lot of mentions about malicious activities.


[![phishing PDFs](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/005.png?resize=1024%2C714&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/005.png?ssl=1)
I downloaded this file in my VPS (Kali Linux) and used **peepdf** to do an analysis of the file structure, and I found 2 URIs in objects 3 and 5.


[![phishing PDFs](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/006.png?resize=1024%2C489&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/006.png?ssl=1)
After I checked objects 3 and 5 using **pdf-parser**, I discovered a malicious URL in the 3.



[![phishing PDFs](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/007.png?resize=844%2C360&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/007.png?ssl=1)
I did a check about this URL in VirusTotal and it had a malicious reputation.


[![phishing PDFs](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/008.png?resize=1024%2C332&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/008.png?ssl=1)
When I opened the file in the Kali, we could see it had an original logo of the bank and a button to click that will direct me to an URL.


[![phishing PDFs](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/009.png?resize=1024%2C601&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/009.png?ssl=1)
When I clicked in this button the URL hxxp://cefonlineencaminha[.]z13[.[]web[.]core[.]windows[.]net redirect to another URL ms[.]meuappavisos[.]com



[![phishing PDFs](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/0010.png?resize=1024%2C568&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/0010.png?ssl=1)
I checked the URL reputation, and it has a lot of mentions about it.


[![phishing PDFs](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/0011.png?resize=1024%2C446&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/02/0011.png?ssl=1)
In conclusion, it’s essential to take care and attention to each detail when you open this kind of email because you can put your machine in a dangerous situation, have your data exfiltrated, be hacked and etc.


Tools used during the analysis:


* Kali Linux – [**https://www.kali.org/get-kali/**](https://www.kali.org/get-kali/)
* MX ToolBox – [**https://mxtoolbox.com**](https://mxtoolbox.com/)
* pdf-parser – [**https://blog.didierstevens.com/programs/pdf-tools/**](https://blog.didierstevens.com/programs/pdf-tools/)
* peepdf – [**https://github.com/jesparza/peepdf**](https://github.com/jesparza/peepdf)
* Abuse IPdb – [**https://www.abuseipdb.com**](https://www.abuseipdb.com/)
* Virus Total – [**https://www.virustotal.com/**](https://www.virustotal.com/)


**About the author: [Zoziel Pinto Freire](https://www.linkedin.com/in/zozielfreire/)**


Cyber Security Specialist | Forensic Expert | Threat Hunting | BlueTeam | RedTeam | Pentester | Assessment


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, phishing)**


![]()

 
  


---


  




## Tags:
***urls***: http://ms.meuappavisos.com https://blog.didierstevens.com/programs/pdf-tools/ https://mxtoolbox.com https://www.virustotal.com/ http://cefonlineencaminha.z13.web.core.windows.net https://www.kali.org/get-kali/ https://github.com/jesparza/peepdf https://www.abuseipdb.com

### Autogenerated tags:
url ip
