# Juniper Networks Patches High-Severity Vulnerabilities in Junos OS
## Juniper Networks has patched multiple high-severity vulnerabilities in Junos OS, Junos OS Evolved, and Junos Space.
## Information:

+ Link: https://www.securityweek.com/juniper-networks-patches-high-severity-vulnerabilities-in-junos-os/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 13 July 2023, 12:04
+ Date scraped: 13 July 2023, 13:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Networking appliances maker Juniper Networks on Wednesday announced software updates that patch multiple high-severity vulnerabilities in Junos OS, Junos OS Evolved, and Junos Space.**


The company published 17 advisories detailing roughly a dozen Junos OS-specific security defects, and nearly three times as many issues in third-party components used in its products.

Of the new advisories, three describe high-severity vulnerabilities in Junos OS and Junos OS Evolved that could lead to denial-of-service (DoS). The flaws impact QFX10000, MX, and SRX series networking appliances.

Eight other advisories deal with medium-severity Junos OS and Junos OS Evolved flaws that could also be exploited to cause DoS conditions.

This week, Juniper Networks released software updates to patch all 11 vulnerabilities, noting that no workarounds are available for any of these issues.

The company also announced software updates for SRX series and MX series devices, to resolve a high-severity issue in Intrusion Detection and Prevention (IDP) that could allow an unauthenticated attacker on the network to cause a DoS condition.

The company is not aware of any of these vulnerabilities being exploited in attacks.


The latest Junos OS and Junos OS Evolved updates also include patches for 17 bugs in PHP, Message Queuing Telemetry Transport (MQTT), and NTP, including some vulnerabilities that have been public for years.

Two of the PHP flaws, tracked as CVE-2021-21708 and CVE-2022-31627, are rated ‘critical severity’. Eight other flaws (four in PHP, two in MQTT, and two in NTP) are high-severity security defects.

On Wednesday, the company released Junos Space version 23.1R1 with patches for 10 vulnerabilities in third party software, including five rated ‘high severity’.

Contrail Cloud version 16.3.0 was also released this week, with patches for 10 other flaws in third-party components, including a critical bug in Rack.

Juniper Networks customers are advised to apply the available security updates as soon as possible. Additional information on the resolved vulnerabilities can be found on the [Juniper support portal](https://supportportal.juniper.net/s/global-search/%40uri?language=en_US#sort=relevancy&numberOfResults=100&f:ctype=[Security%20Advisories]).


**Related:** [Juniper Networks Patches Critical Third-Party Component Vulnerabilities](https://www.securityweek.com/juniper-networks-patches-critical-third-party-component-vulnerabilities/)


**Related:** [Juniper Networks Kicks Off 2023 With Patches for Over 200 Vulnerabilities](https://www.securityweek.com/juniper-networks-kicks-2023-patches-over-200-vulnerabilities/)


**Related:** [Juniper Networks Patches Over 200 Third-Party Component Vulnerabilities](https://www.securityweek.com/juniper-networks-patches-over-200-third-party-component-vulnerabilities/)





## Tags:
***CVE's***: CVE-2021-21708 CVE-2022-31627

### Autogenerated tags:
junos high-severity third-party php
