# SMTP Smuggling: New Flaw Lets Attackers Bypass Security and Spoof Emails
## SMTP Smuggling can let cybercriminals send fake emails with forged sender addresses, bypassing security checks.
## Information:

+ Link: https://thehackernews.com/2024/01/smtp-smuggling-new-threat-enables.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 03 January 2024, 16:12
+ Date scraped: 03 January 2024, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgYlBfH3yE549vJMDJw3rkUvJWWLK36aNCks4Txk5e0VQjjVdaj9EFGRQuUSUWi-YQSXsT3QYBryi2icNpu8n0SMg1TwmNt1hVRMdMWAkauXRw6gcrxcrhXuKFQW_Uorz8t_x0a-2wP8gt0hkpCZ-8BQGZuCzhRT2u0F3_jGv4hDfWVplbpSDBHFr9C_TYX/s728-rw-ft-e30/smtp.jpg)


A new exploitation technique called Simple Mail Transfer Protocol ([SMTP](https://en.wikipedia.org/wiki/Simple_Mail_Transfer_Protocol)) smuggling can be weaponized by threat actors to send spoofed emails with fake sender addresses while bypassing security measures.


"Threat actors could abuse vulnerable SMTP servers worldwide to send malicious emails from arbitrary email addresses, allowing targeted phishing attacks," Timo Longin, a senior security consultant at SEC Consult, [said](https://sec-consult.com/blog/detail/smtp-smuggling-spoofing-e-mails-worldwide/) in an analysis published last month.


SMTP is a TCP/IP protocol used to send and receive email messages over a network. To relay a message from an email client (aka mail user agent), an SMTP connection is established between the client and server in order to transmit the actual content of the email.


The server then relies on what's called a mail transfer agent (MTA) to check the domain of the recipient's email address, and if it's different from that of the sender, it queries the domain name system (DNS) to look up the [MX (mail exchanger) record](https://en.wikipedia.org/wiki/MX_record) for the recipient's domain and complete the mail exchange.


The crux of SMTP smuggling is rooted in the inconsistencies that arise when outbound and inbound SMTP servers handle end-of-data sequences differently, potentially enabling threat actors to break out of the message data, "smuggle" arbitrary SMTP commands, and even send separate emails.


[![SMTP Smuggling](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh8lb5klJvJcq6ljFac4yo5kwiJ0uvQAfqCX-I4CnfBKWShz71kAf97UnxeOfBmIg-HUmElMR0JESjEWeoKgy57zXbzfefk9zXGzV858O-vGk0HFk6n4hlOO_qXKieyqXIv1PBdiiV88i7NHWLb1MOMhvwvTcs-5T1Sgy1GZ-n4czLH7GREgiOLTVN4LQqR/s728-rw-ft-e30/smtp_1.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh8lb5klJvJcq6ljFac4yo5kwiJ0uvQAfqCX-I4CnfBKWShz71kAf97UnxeOfBmIg-HUmElMR0JESjEWeoKgy57zXbzfefk9zXGzV858O-vGk0HFk6n4hlOO_qXKieyqXIv1PBdiiV88i7NHWLb1MOMhvwvTcs-5T1Sgy1GZ-n4czLH7GREgiOLTVN4LQqR/s728-rw-ft-e30/smtp_1.jpg)
It borrows the concept from a known attack method known as [HTTP request smuggling](https://thehackernews.com/2020/08/http-request-smuggling.html), which [takes advantage](https://thehackernews.com/2021/09/haproxy-found-vulnerable-to-critical.html) of discrepancies in the interpretation and processing of the "Content-Length" and "Transfer-Encoding" HTTP headers to prepend an ambiguous request to the inbound request chain.


Specifically, it exploits security flaws in messaging servers from Microsoft, GMX, and Cisco to send emails spoofing millions of domains. Also impacted are SMTP implementations from Postfix and Sendmail.


This allows for sending forged emails that seemingly look like they are originating from legitimate senders and defeat checks in place erected to ensure the authenticity of incoming messages – i.e., DomainKeys Identified Mail ([DKIM](https://en.wikipedia.org/wiki/DomainKeys_Identified_Mail)), Domain-based Message Authentication, Reporting and Conformance ([DMARC](https://en.wikipedia.org/wiki/DMARC)), and Sender Policy Framework ([SPF](https://en.wikipedia.org/wiki/Sender_Policy_Framework)).


While Microsoft and GMX have rectified the issues, Cisco said the findings do not constitute a "vulnerability, but a feature and that they will not change the default configuration." As a result, inbound SMTP smuggling to Cisco Secure Email instances is still possible with default configurations.


As a fix, SEC Consult recommends Cisco users change their settings from "Clean" to "Allow" in order to avoid receiving spoofed emails with valid DMARC checks.

 
  





## Tags:


### Autogenerated tags:
smtp emails
